Package docking.widgets.table

# Interface TableFilter<ROW_OBJECT>

All Known Implementing Classes:
  `ColumnBasedTableFilter`, `CombinedTableFilter`, `InvertedTableFilter`, `MultiTextFilterTableFilter`, `NullTableFilter`, `TableTextFilter`

public interface TableFilter<ROW_OBJECT>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `acceptsRow(ROW_OBJECT rowObject)`
  Returns true if this filter matches the given row (data)
  `default boolean`
  `hasColumnFilter(int columnModelIndex)`
  Returns true if the there is a column filter on the column specified
  `default boolean`
  `isEmpty()`
  A method that allows filters to report that they have nothing to actually filter.
  `boolean`
  `isSubFilterOf(TableFilter<?> tableFilter)`
  Returns true if this filter is a more specific version of the given filter.

- ## Method Details

  - ### acceptsRow

    boolean acceptsRow(ROW_OBJECT rowObject)
    Returns true if this filter matches the given row (data)
    Parameters:
      `rowObject` - the current row object
    Returns:
      true if the element at the given row matches this filter.

  - ### isSubFilterOf

    boolean isSubFilterOf(TableFilter<?> tableFilter)
    Returns true if this filter is a more specific version of the given filter.

    For example, if this filter is a 'starts with' text filter, with the value of 'bobo', then if the given filter is also a 'starts with' filter, with a value of 'bob', then this filter is considered a sub-filter of the given sub-filter.

    Parameters:
      `tableFilter` - the filter to check
    Returns:
      true if this filter is a sub-filter of the given filter

  - ### hasColumnFilter

    default boolean hasColumnFilter(int columnModelIndex)
    Returns true if the there is a column filter on the column specified
    Parameters:
      `columnModelIndex` - the model index of the column to test for column filters.
    Returns:
      true if the there is a column filter on the column specified.

  - ### isEmpty

    default boolean isEmpty()
    A method that allows filters to report that they have nothing to actually filter. This is useful for empty/null filters.
    Returns:
      true if this filter will not perform any filtering